SSTableNamesIterator (apache-cassandra API)
Date: 2012-05-04

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.db.columniterator
Class SSTableNamesIterator

    java.lang.Object
      com.google.common.collect.UnmodifiableIterator<T>
          com.google.common.collect.AbstractIterator<IColumn>
              org.apache.cassandra.db.columniterator.SimpleAbstractColumnIterator
                  org.apache.cassandra.db.columniterator.SSTableNamesIterator

All Implemented Interfaces:
  java.io.Closeable, java.util.Iterator<IColumn>, IColumnIterator, CloseableIterator<IColumn>

    public class SSTableNamesIterator

extends SimpleAbstractColumnIterator
implements IColumnIterator

Field Summary
`java.util.SortedSet<java.nio.ByteBuffer>` | `columns`
`DecoratedKey` | `key`

Constructor Summary
`SSTableNamesIterator(SSTableReader sstable, DecoratedKey key, java.util.SortedSet<java.nio.ByteBuffer> columns)`
`SSTableNamesIterator(SSTableReader sstable, FileDataInput file, DecoratedKey key, java.util.SortedSet<java.nio.ByteBuffer> columns)`

Method Summary
`protected IColumn` | `computeNext()`
`ColumnFamily` | `getColumnFamily()`
`DecoratedKey` | `getKey()`

Methods inherited from class org.apache.cassandra.db.columniterator.SimpleAbstractColumnIterator
`close`

Methods inherited from class com.google.common.collect.AbstractIterator
`endOfData, hasNext, next, peek`

Methods inherited from class com.google.common.collect.UnmodifiableIterator
`remove`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.cassandra.db.columniterator.IColumnIterator
`close`

Methods inherited from interface java.util.Iterator
`hasNext, next, remove`

Field Detail

### columns

    public final java.util.SortedSet<java.nio.ByteBuffer> columns

### key

    public final DecoratedKey key

Constructor Detail

### SSTableNamesIterator

    public SSTableNamesIterator(SSTableReader sstable,
                                DecoratedKey key,
                                java.util.SortedSet<java.nio.ByteBuffer> columns)

### SSTableNamesIterator

    public SSTableNamesIterator(SSTableReader sstable,
                                FileDataInput file,
                                DecoratedKey key,
                                java.util.SortedSet<java.nio.ByteBuffer> columns)

Method Detail

### getKey

    public DecoratedKey getKey()

  Specified by:
    `getKey` in interface `IColumnIterator`
  Returns:
    the current row key

### getColumnFamily

    public ColumnFamily getColumnFamily()

  Specified by:
    `getColumnFamily` in interface `IColumnIterator`
  Returns:
    A ColumnFamily holding metadata for the row being iterated. Do not modify this CF. Whether it is empty or not is implementation-dependent.

### computeNext

    protected IColumn computeNext()

  Specified by:
    `computeNext` in class `com.google.common.collect.AbstractIterator<IColumn>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 The Apache Software Foundation